Subject: Forum activity on: preferences: behaviour: step width in mm works wrong in the document since v1.4
From: [email-masked]
To: [email-masked]
Date: Fri, 10 Jan 2025 21:10:31 -0000

Dear Kaylee Johnson,

A post has been edited on the topic "preferences: behaviour: step width in mm works wrong in the document since v1.4" by René Köhler:
---
Dear community,this is my first attempt to solve a problem with Inkscape that I could't find so far mentioned anywhere else, so I try to ask here first before going down the bug report pipeline.I installed Inkscape v1.4 64 bit on an brand new Lenovo Thinkpad T14 AMD Ryzen 7 with Windows 11 home, german language system default - but the the problem occurs the same way at any other of my Windows 11 PCs and notebooks I tried, independently from a former version deinstalled or a brand new system. I downloaded the v1.4 64 bit installer for Win as exe and installed it.I open a plain new document. The default unit in document properties is millimeter, which I like to use. The default step for object movement by arrow keys (preferences: behaviour: steps) is 1 mm, which I also like to use.When I draw any object, e. g. a frameless square of 10 by 10 mm, and move it by a simple arrow key step, it moves 0.794 mm instead of 1 mm. This goes for any x or y direction and can be proofed easily when moved to x/y position 0/0 beforehand by typing in the coordinates.When I move it a big step (arrow key + shift), it moves 9.790 mm instead of 10 mm. Also, 10 single steps in the same direction make 7.937 mm - not congruent with a big step which shoud be 10x as far as a simple one.When I set all preferences and document properties to px, the problen does not occur: 1 px step in the settings works in the document as it should.I deinstalled v1.4 and installed v1.2.2 64 bit. With this version, and the millimeter standard unit as well as 1 mm step witdth, everything works perfectly fine as it should: Any object can be moved 1 mm by 1 arrow key step or 10 mm by arrow + shift. 10x single steps equals one big step.After deinstallation of v1.2.2 and reinstallation of v1.4 (restarting the system in between), the described problem reoccurs.I have to use v1.2.2 as long as the problem can't be solved.Maybe its' easier than I think and I have overseen another preferences option for Millimeters as standard, but I can't find any.Cheers,Ronai
----
Link: http://www.inkscape.org/forums/questions/preferences-behaviour-step-width-in-mm-works-wrong-in-the-document-since-v14/#c77266

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.